Show / Hide Table of Contents

# Enum ObjectKind

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Object

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public enum ObjectKind : byte

### Fields

Name | Description
--- | ---
Aetheryte |
AreaObject |
BattleNpc |
CardStand |
Companion |
Cutscene |
EventNpc |
EventObj |
GatheringPoint |
HousingEventObject |
MjiObject |
Mount |
None |
Ornament |
Pc |
Retainer |
Treasure |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()